LedgerLou Docs is optimized for desktop.

Please open this page on a device with a wider screen.

Periods

Set soft-lock

Sets a soft-lock on a period. New postings to this period are subsequently blocked, but the period can be reopened.

POST /v1/periods/:period/soft-lock
Authorization
Authorization string header required API key in the format ll_.... Pass as a Bearer token.
Responses
200
Success
400
INVALID_INPUT The period format is invalid.
404
NOT_FOUND The specified adjustment period does not exist.
409
PERIOD_ALREADY_SOFT_LOCKED The period is already soft-locked.
409
PERIOD_ALREADY_LOCKED The period is already hard-locked.
POST /v1/periods/:period/soft-lock
cURL
-cmd">curl --request -method">POST -punct">\
  --url 'https://api.ledgerlou.de/v1/periods/:period/soft-lock' -punct">\
  --header 'Authorization: Bearer ll_your_key'
200 Response
JSON
{
  "period": "<string>",
  "period_number": 1,
  "status": "<string>",
  "locked_by": "<string>",
  "locked_at": "<string>"
}